from logging import getLogger
logger = getLogger(__name__)
import requests

class BaseRemoteEngine():
    """基础远程服务类, 提供远程调用的基础框架。"""
    def __init__(self, api_key: str, base_url: str):
        self._api_key = api_key
        self._base_url = base_url
        self.url = self._base_url
        self.header = {
            'Content-Type': 'application/json',
            'Authorization': 'Bearer ' + self._api_key
        }

    def post_prompt(self, messages : list[dict[str, str]], is_stream : bool = False) -> requests.Response:
        try:
            response = requests.post(self.url, headers=self.header, json=messages, stream=is_stream)
        except Exception as e:
            logger.exception("post_prompt")
            raise e
        finally:
            return response